RAISE(3)

NOM
raise - Envoyer un signal au processus en cours

SYNOPSIS
#include <signal.h>

int raise (int sig);

DESCRIPTION
La fonction raise() envoie un signal au processus lui-même. Elle est équivalente à :

    kill (getpid(), sig);

VALEUR RENVOYÉE
La fonction raise() renvoie 0 si elle réussit, et une valeur non nulle en cas d'échec.

CONFORMITÉ
C89, C99.

VOIR AUSSI
getpid(2), kill(2), signal(2)

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 5 novembre 1996 et révisée le 10 décembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 3 raise ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.